# IMMOWEB API CLIENT

## CONTENTS OF THIS FILE

* Introduction
* Requirements
* Installation
* Configuration
* Maintainers

## INTRODUCTION

This module provides an API Client for Immoweb.be making it easier for
developing custom requirements in order to integrate with Immoweb.

This module is aimed towards developers and provides no real functionality on
it's own other as providing a configuration form and defining all the services
so you can easily integrate Immoweb into your project.

* For a full description of the module, visit the project page:
   https://www.drupal.org/project/immoweb_api_client

* To submit bug reports and feature suggestions, or to track changes:
   https://www.drupal.org/project/issues/immoweb_api_client

## REQUIREMENTS

This module requires no modules outside of Drupal core.

Minimal PHP requirement is `PHP 8.0`.

## INSTALLATION

* Install the Immoweb API Client as you would normally install a contributed
  Drupal module. Visit https://www.drupal.org/node/1897420 for further
  information.

## CONFIGURATION

* Configure the user permissions in Administration » People » Permissions:
administer immoweb api client

* Customize the Bothive settings in Administration » Configuration » Services
  » Immoweb API Client.

  To configure the module you'll need to gather some information by contacting
  your contacts person of Immoweb. They will provide you the necessary
  credentials and API keys.

  Once you have all the credentials you can enter them in the configuration
  form which is located at: /admin/config/services/immoweb_api_client

## MAINTAINERS

* bramdriesen - https://www.drupal.org/u/bramdriesen - https://github.com/BramDriesen

